Open a Task
curl --request POST \
--url https://public-api.stora.co/2025-09/tasks/{task_id}/open \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/tasks/{task_id}/open"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/tasks/{task_id}/open', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "task_195h6kfm9ro15lof",
"assignee": {
"id": "staff_947b3057d5df338e"
},
"completed_at": null,
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_947b3057d5df338e"
},
"description": "<p>This is a test task.</p>",
"due_at": "2025-02-24T14:41:00Z",
"metadata": {},
"resource": null,
"site": {
"id": "site_14b419f1096013f1"
},
"status": "open",
"title": "My Task",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Task was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Tasks
Open a Task
Mark a task as open.
Required authorization scope: public.task:write
POST
/
2025-09
/
tasks
/
{task_id}
/
open
Open a Task
Was this page helpful?
⌘I